Subject: Re: Linux Routers working

From: "James R. Leu" <[email-masked]>
Date: Fri, 13 May 2005 09:09:38 -0500

On Thu, May 12, 2005 at 09:16:23PM -0700, cranium2003 wrote:
>  Hello,
>         Is there any way on linux routers to know on
> which interface packet is forwarded before actually
> packet trasmission begins? Also before packet
> processed by IP layer can it be possible to know from
> which adjecent Router'IP packet came to that router?
> regards,
> cranium

I think the OUTPUT chain in iptables already knows what the outbound
interface is, so you could make a decision based on that.

I think you can use the mac target in the PREROUTING chain to get access
to the source MAC address.

I think all of your answers are in iptables.

> 
> 
> 		
> __________________________________ 
> Yahoo! Mail Mobile 
> Take Yahoo! Mail with you! Check email on your mobile phone. 
> http://mobile.yahoo.com/learn/mail 

-- 
James R. Leu
[email-masked]